Package picard.util

## Class SequenceDictionaryUtils.SamSequenceRecordsIterator

- java.lang.Object
- - picard.util.SequenceDictionaryUtils.SamSequenceRecordsIterator

- All Implemented Interfaces:
    `Iterator<htsjdk.samtools.SAMSequenceRecord>`
  Enclosing class:
    SequenceDictionaryUtils

      public static class SequenceDictionaryUtils.SamSequenceRecordsIterator
      extends Object
      implements Iterator<htsjdk.samtools.SAMSequenceRecord>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SamSequenceRecordsIterator​(File referenceSequence, boolean truncateNamesAtWhitespace)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` |
    `htsjdk.samtools.SAMSequenceRecord` | `next()` |
    `void` | `setGenomeAssembly​(String genomeAssembly)` |
    `void` | `setSpecies​(String species)` |
    `void` | `setUri​(String uri)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Constructor Detail

    - #### SamSequenceRecordsIterator

          public SamSequenceRecordsIterator​(File referenceSequence,
                                            boolean truncateNamesAtWhitespace)

  - ### Method Detail

    - #### setGenomeAssembly

          public void setGenomeAssembly​(String genomeAssembly)

    - #### setUri

          public void setUri​(String uri)

    - #### setSpecies

          public void setSpecies​(String species)

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<htsjdk.samtools.SAMSequenceRecord>`

    - #### next

          public htsjdk.samtools.SAMSequenceRecord next()

      Specified by:
        `next` in interface `Iterator<htsjdk.samtools.SAMSequenceRecord>`